using Microsoft.Xna.Framework;
using System;

namespace Igdc.Drawables
{
    public class MapAlly : DrawableBase
    {
        public byte X;
        public byte Y;
        public int Texture;
        public string Story;
        public bool CanPlay = true;

        public override Point Size => new Point(16);

        public bool IsNear(MapPlayer p)
        {
            if (!CanPlay) return false;
            if (Math.Abs(X - p.X) > 1) return false;
            if (Math.Abs(Y - p.Y) > 1) return false;
            return true;
        }
    }
}